package com.zhyc.module.feed.domain;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;

/**
 * 配方列表对象 sg_formula_list
 *
 * @author HashMap
 * @date 2025-08-09
 */
@Setter
@Getter
public class SgFormulaList extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long userId;
    private Long deptId;
    /**
     * 序号
     */
    private Long code;

    /**
     * 配方编号
     */
    private String formulaId;

    /**
     * 配方编号
     */
    private String batchId;
    /**
     * 原料编号
     */
    @Excel(name = "原料编号")
    private String materialId;

    /**
     * 原料名称
     */
    @Excel(name = "原料名称")
    private String materialName;

    /**
     * 比例
     */
    @Excel(name = "比例")
    private Long ratio;

    /**
     * 颗粒原料
     * 当前不局限于 "是否颗粒原料" 而且多种类型的标识符
     */
    @Excel(name = "颗粒原料")
    private String isGranular;

    /**
     * 补饲
     * 当前用作饲喂类型标识
     */
    @Excel(name = "补饲")
    private String isSupplement;

    /**
     * 添加量 - 供其他一些统计模块使用
     */
    private Double feedSize;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("code", getCode())
                .append("formulaId", getFormulaId())
                .append("materialId", getMaterialId())
                .append("materialName", getMaterialName())
                .append("ratio", getRatio())
                .append("isGranular", getIsGranular())
                .append("isSupplement", getIsSupplement())
                .toString();
    }
}
